epp_ContactCheckReq (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0705.contact.epp_ContactCheckReq class

### org.openrtk.idl.epp0705.contact

# Class epp_ContactCheckReq

- `java.lang.Object`
- - `org.openrtk.idl.epp0705.contact.epp_ContactCheckReq`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_ContactCheckReq`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the elements necessary to check to see if a contact is available in the registry. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0705/contact/epp_ContactCheckReq.java,v 1.2 2003/09/10 21:29:59 tubadanm Exp $
$Revision: 1.2 $
$Date: 2003/09/10 21:29:59 $

See Also:
  `EPPContactCheck`, `epp_ContactCheckRsp`

  ## Field Summary
  `epp_Command` | `m_cmd` The common and generic command element.
  `String[]` | `m_ids` The array of contact ids to check in the registry.

  ## Constructor Summary
  `epp_ContactCheckReq()` Empty constructor
  `epp_ContactCheckReq(epp_Command _m_cmd, String[] _m_ids)` The constructor with initializing variables.

  ## Method Summary
  `epp_Command` | `getCmd()` Accessor method for the common and generic command element
  `String[]` | `getIds()` Accessor method for the array of contact ids to check in the registry
  `String[]` | `getRoids()` Deprecated.
  `void` | `setCmd(epp_Command value)` Accessor method for the common and generic command element
  `void` | `setIds(String[] value)` Accessor method for the array of contact ids to check in the registry
  `void` | `setRoids(String[] value)` Deprecated.
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_cmd

    public epp_Command m_cmd

> The common and generic command element.
> See Also:
>   `setCmd(epp_Command)`, `getCmd()`

### m_ids

    public String[] m_ids

> The array of contact ids to check in the registry.
> See Also:
>   `setIds(String[])`, `getIds()`

## Constructor Details

### epp_ContactCheckReq

    public epp_ContactCheckReq()

> Empty constructor

### epp_ContactCheckReq

    public epp_ContactCheckReq(epp_Command _m_cmd,
                               String[] _m_ids)

> The constructor with initializing variables.
> Parameters:
>   `_m_cmd` - The common and generic command element
>   `_m_ids` - The array of contact ids to check in the registry

## Method Details

### getCmd

    public epp_Command getCmd()

> Accessor method for the common and generic command element
> Returns:
>   The command element
> See Also:
>   `m_cmd`

### getIds

    public String[] getIds()

> Accessor method for the array of contact ids to check in the registry
> Returns:
>   The array of contact ids
> See Also:
>   `m_ids`

### getRoids

    public String[] getRoids()

> Deprecated.

> Accessor for the contact Id array. Deprecated. Internally calls getIds().
> See Also:
>   `getIds()`

### setCmd

    public void setCmd(epp_Command value)

> Accessor method for the common and generic command element
> Parameters:
>   `value` - The command element
> See Also:
>   `m_cmd`

### setIds

    public void setIds(String[] value)

> Accessor method for the array of contact ids to check in the registry
> Parameters:
>   `value` - The array of contact ids
> See Also:
>   `m_ids`

### setRoids

    public void setRoids(String[] value)

> Deprecated.

> See Also:
>   `setIds(String[])`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS